#!/usr/bin/env python
# -*- coding: utf-8 -*-

import curses

def main(stdscr):
	curses.curs_set(False)
	stdscr.addstr(1,5,"Press space to draw into a window. Press 'q' to quit.", curses.A_BOLD)
	stdscr.noutrefresh()
	
	win1_main = curses.newwin(3,32,3,5)
	win1_main.border()
	win1_main.addstr(0,3," Output Window 1 ")
	win1_main.noutrefresh()		 
	win1 = win1_main.derwin(1,30,1,1)

	win2_main = curses.newwin(3,32,7,5)
	win2_main.border()
	win2_main.addstr(0,3," Output Window 2 ")
	win2_main.noutrefresh()		 
	win2 = win2_main.derwin(1,30,1,1)

	y,x = win1.getyx()
	stdscr.addstr(12,5,"Win1 cursor before draw at: " + str(y) + " " + str(x))
	y,x = win2.getyx()
	stdscr.addstr(13,5,"Win2 cursor before draw at: " + str(y) + " " + str(x))

	win1.noutrefresh()
	win2.noutrefresh()
	stdscr.noutrefresh()
	curses.doupdate()	
		
	draw = 0
	
	while True:
		c = stdscr.getch()
		if c == ord('q'):
			break
		if c == ord(' '):
			if draw == 0:
				draw += 1
				win1.addstr("Hello, World!")
				y,x = win1.getyx()
				stdscr.addstr(15,5,"Win1 cursor after first draw at: " + str(y) + " " + str(x))
				y,x = win2.getyx()
				stdscr.addstr(16,5,"Win2 cursor after first draw at: " + str(y) + " " + str(x))
			elif draw == 1:
				draw += 1
				win2.addstr("Hello, World in win2!")
				y,x = win1.getyx()
				stdscr.addstr(18,5,"Win1 cursor after second draw at: " + str(y) + " " + str(x))
				y,x = win2.getyx()
				stdscr.addstr(19,5,"Win2 cursor after second draw at: " + str(y) + " " + str(x))
			else:
				break
			win1.noutrefresh()
			win2.noutrefresh()
			stdscr.noutrefresh()
			curses.doupdate()	
		
	
if __name__ == "__main__":
	curses.wrapper(main)
	
