#!/usr/bin/env python
# -*- coding: utf-8 -*-

import curses
import curses.panel

def main(stdscr):
	curses.curs_set(False)
	stdscr.addstr(1,5,"Use the up/down keys to change foreground window. Press 'q' to quit", curses.A_BOLD)
	stdscr.refresh()
		
	win1 = curses.newwin(9,20,5,5)
	pan1 = curses.panel.new_panel(win1)
	win1.border()
	win1.addstr(4,2,"Window Panel 1")
	win1.noutrefresh()
	
	win2 = curses.newwin(9,20,7,7)
	pan2 = curses.panel.new_panel(win2)
	win2.border()
	win2.addstr(4,2,"Window Panel 2")
	win2.noutrefresh()

	win3 = curses.newwin(9,20,9,9)
	pan3 = curses.panel.new_panel(win3)
	win3.border()
	win3.addstr(4,2,"Window Panel 3")
	win3.noutrefresh()

	pan3.top()
	pan2.top()
	pan1.top()
	toppanel = 1
	curses.panel.update_panels()
	curses.doupdate()
	while True:
		c = stdscr.getch()
		if c == ord('q'):
			break
		if c == curses.KEY_UP: 
			toppanel = toppanel - 1 if toppanel > 1 else 1
		if c == curses.KEY_DOWN:
			toppanel = toppanel + 1 if toppanel < 3 else 3

		if toppanel == 1: pan1.top()
		if toppanel == 2: pan2.top()
		if toppanel == 3: pan3.top()

		curses.panel.update_panels()
		curses.doupdate()
		
	return	
	
if __name__ == "__main__":
	curses.wrapper(main)
	
