#!/usr/bin/env python
# -*- coding: utf-8 -*-

import curses

mouse_events = [(curses.BUTTON1_PRESSED,        "BUTTON1_PRESSED"),
                (curses.BUTTON1_RELEASED,       "BUTTON1_RELEASED"),
                (curses.BUTTON1_CLICKED,        "BUTTON1_CLICKED"),
                (curses.BUTTON1_DOUBLE_CLICKED, "BUTTON1_DOUBLE_CLICKED"),
                (curses.BUTTON1_TRIPLE_CLICKED, "BUTTON1_TRIPLE_CLICKED"),
                (curses.BUTTON2_PRESSED,        "BUTTON2_PRESSED"),
                (curses.BUTTON2_RELEASED,       "BUTTON2_RELEASED"),
                (curses.BUTTON2_CLICKED,        "BUTTON2_CLICKED"),
                (curses.BUTTON2_DOUBLE_CLICKED, "BUTTON2_DOUBLE_CLICKED"),
                (curses.BUTTON2_TRIPLE_CLICKED, "BUTTON2_TRIPLE_CLICKED"),
                (curses.BUTTON3_PRESSED,        "BUTTON3_PRESSED"),
                (curses.BUTTON3_RELEASED,       "BUTTON3_RELEASED"),
                (curses.BUTTON3_CLICKED,        "BUTTON3_CLICKED"),
                (curses.BUTTON3_DOUBLE_CLICKED, "BUTTON3_DOUBLE_CLICKED"),
                (curses.BUTTON3_TRIPLE_CLICKED, "BUTTON3_TRIPLE_CLICKED"),
                (curses.BUTTON4_PRESSED,        "BUTTON4_PRESSED"),
                (curses.BUTTON4_RELEASED,       "BUTTON4_RELEASED"),
                (curses.BUTTON4_CLICKED,        "BUTTON4_CLICKED"),
                (curses.BUTTON4_DOUBLE_CLICKED, "BUTTON4_DOUBLE_CLICKED"),
                (curses.BUTTON4_TRIPLE_CLICKED, "BUTTON4_TRIPLE_CLICKED"),
                (curses.BUTTON_CTRL,            "BUTTON_CTRL"),
                (curses.BUTTON_ALT,             "BUTTON_ALT"),
                (curses.BUTTON_SHIFT,           "BUTTON_SHIFT")
                ]

def main(stdscr):
	curses.curs_set(False)
	(availmask, oldmask) = curses.mousemask(curses.ALL_MOUSE_EVENTS)
	curses.mouseinterval(200)

	stdscr.addstr(1,5,"Click somewhere with the mouse. Press 'q' to quit", curses.A_BOLD)
	stdscr.refresh()
		
	win_pos = curses.newwin(5,32,5,5)
	win_pos.border()
	win_pos.addstr(0,3," Event info: ")	
	outwin_pos = win_pos.derwin(1,28,2,2)

	win_event = curses.newwin(18, 32, 5, 45)
	win_event.border()
	win_event.addstr(0,3," Events: ")
	outwin_event = win_event.derwin(15,26,2,2)
	outwin_event.scrollok(True)
	
	win_pos.noutrefresh()
	win_event.noutrefresh()
	curses.doupdate()
	
	while True:
		c = stdscr.getch()
		if c == ord('q'): break
		if c == curses.KEY_MOUSE:
			m_id, m_x, m_y, m_z, m_state = curses.getmouse()
			outwin_pos.addstr(0,0,str(m_id) + " " + str(m_x) + " " + str(m_y) + " " + str(m_z) + " " + hex(m_state))
			outwin_pos.clrtoeol()
			
			for e in mouse_events:
				if m_state & e[0]:
					outwin_event.addstr(e[1] + "\n")
			
			if win_pos.enclose(m_y, m_x):
				win_pos.bkgd(curses.A_REVERSE)
			else:
				win_pos.bkgd(curses.A_NORMAL)
			win_pos.noutrefresh()
			outwin_event.noutrefresh()
			curses.doupdate()
		
	return	
	
if __name__ == "__main__":
	curses.wrapper(main)
	
