---
title: "Liste der bekanntesten Linuxdistributionen"
date: 2021-02-04T10:10:31+01:00
draft: false
---
in alphabetischer Reihenfolge ( = Reihenfolge ist keine Wertung)

## Arch Linux

Die Distribution für fortgeschrittene Linux'er ist puristisch, leichgewichtig und als Rolling Release permanent auf dem aktuellen Stand der Technik. Trotz allem wird jeden Monat ein ISO Image mit dem aktuellen Entwicklungsstand veröffentlicht. Arch Linux verfolgt das KISS Prinzip, somit nur für fortgeschrittene Anwender zu empfehlen.

{{<tabref href="https://www.archlinux.org/" title="Arch Linux">}}

## Debian

Debian ist das bekannteste nichtkommerzielle Linuxpaket. Sie wird vor allem von erfahrenen Linuxern verwendet, da die Installation im Ruf steht, für Anfänger nicht gerade einfach zu sein. Debianer beschwören jedoch, dass hier grosse Fortschritte gemacht worden sind! Dazu kommt, dass Debian auf Sicherheit und Stabilität optimiert ist. Daher gibt es nicht ständige Updates und neue Softwarepakete werden erst integriert, wenn deren stabile Funktion unter Debian gewährleistet ist. Für Server optimal - ist dies im Alltagsbetrieb oft ein Handycap.

{{<tabref href="http://www.debian.org" title="Debian">}}

## Gentoo + Sabayon

Bei Gentoo handelt es sich um ein Linuxprojekt, welches hochgradig skalierbar und anpassbar ist. Dabei werden alle Programme neukompiliert. Diese dauert recht lange, beschleunigt aber die Ausführung der Programme. Sabayon Linux ist eine Distribution aufbauend auf dem Original-Gentoo.

{{<tabref href="http://www.gentoo.org/" title="Gentoo">}} und {{<tabref href="http://www.sabayon.org/" title="Sabayon Linux">}}

## Knoppix

Knoppix war ursprünglich eine Linuxversion, die von CD gestartet wurde (eine Festplatte war/ist nicht notwendig!). Lediglich Systemeinstellungen und private Daten im Verzeichnis des Benutzers können auf Diskette, Festplatte oder USB-Stick abgespeichert werden. Um den Start zu beschleunigen kann Knoppix auf die Festplatte kopiert werden; eine permanente Installation war eigentlich nicht vorgesehen, auch wenn sie möglich ist.

{{<tabref href="http://www.knoppix.org" title="Knoppix">}}

## Mac OS X

Nicht wirklich Linux, aber Mac OS X basiert auf Darwin, einen unixoiden Betriebssystemkern (genaugenommen einem Mach-3 Mikrokern mit einer FreeBSD-basierten Personality on top), und ist daher in vielen Bereichen sehr Linux ähnlich. Einige Mitglieder der LUG Frankfurt verwenden Apple Laptops, so dass auch hier in der LUG Hilfe möglich ist.

## Mandriva + Mageia

Mandriva Linux ist ein weiteres Linuxpaket, welches auf Benutzerfreundlichkeit Wert legt. Es ist ursprünglich aus Red Hat entstanden und stammt von einer französischen Firma. Im September 2010 gab es einen Fork vom ursprünglichen Mandriva, dieser neue Fork heisst nun Mageia.

{{<tabref href="https://www.openmandriva.org" title="OpenMadriva">}} und {{<tabref href="http://www.mageia.org/en" title="Mageia">}}

## Red Hat + Fedora + Clones

Red Hat ist das in Amerika führende Linux und neben SuSE die wohl gängigste Distribution. In 2003 hat Red Hat den Vertrieb von Privatkundenversionen eingestellt und in das Fedoraprojekt ausgelagert. Neben der kostenpflichtige Version von Red Hat Enterprise Linux (RHEL) existiert ein kostenfreier Nachbau unter dem Namen CentOS (seit Version 8 nur noch als CentOS Stream verfügbar). Oracle hat sich auch Red Hats Enterprise Linux angenommen und vertreibt es nun als Oracle Linux. Scentific Linux wurde eingestellt. Nach dem CentOS Gau im Dezember 2020, gibt es neue Player auf dem Clonemarkt: Alma Linux und Rocky Linux.

Red Hat, bzw. Fedora sind oft Basis angepasster Linuxpakete.

{{<tabref href="http://www.redhat.com" title="Redhat Linux">}}, {{<tabref href="http://fedoraproject.org" title="Fedora">}}, {{<tabref href="http://centos.org" title="CentOS">}}, {{<tabref href="http://www.oracle.com/us/technologies/linux/index.html" title="Oracle Linux">}}, {{<tabref href="https://almalinux.org" title="Alma Linux">}} und {{<tabref href="https://rockylinux.org/de" title="Rocky Linux">}}

## Slackware

Slackware ist eine weniger bekannte Linux-Distribution, allerdings die älteste noch gepflegte Linux-Distribution.

{{<tabref href="http://www.slackware.com/getslack/" title="Slackware">}}

## SuSE / openSuSE

2003 von Novell übernommen ist SuSE ursprünglich "das" deutsche Linuxpaket. Leider benutzt SuSE einige Eigenheiten, z.B. Verzeichnisse, die nicht den üblichen Linuxkonventionen entsprechen, weshalb man hier häufig auf SuSE-optimierte Pakete oder Kompilierung angewiesen ist. OpenSuSE ist die freie Fassung von SuSE.

{{<tabref href="http://www.suse.com" title="Novell/Suse Webseite">}} und {{<tabref href="http://www.opensuse.org" title="OpenSUSE">}}

## Ubuntu + Derivate

Ubuntu ist eine von Marc Shuttleworth und seiner Firma Canonical Ltd. initierte Linux-Distributation, die auf Debian basiert. Sie wendet sich hauptsächlich an Einsteiger. Neben der Hauptvariante, die auf GNOME aufsetzt, gibt es noch andere Varianten, die z. B. KDE (Kubuntu) oder XFCE (Xubuntu) als Benutzeroberfläche benutzen, beziehungweise Weiterentwicklungen der Original Gnome Version, z.B. Linux Mint oder der Mac Clone "Elementary OS" oder der Windows Clone "Zorin OS".

{{<tabref href="http://www.ubuntu.com" title="Ubuntu">}}, {{<tabref href="http://www.kubuntu.com" title="Kubuntu">}}, {{<tabref href="http://www.xubuntu.org" title="Xubuntu">}}, {{<tabref href="https://www.linuxmint.com" title="Linux Mint">}}, {{<tabref href="https://elementary.io" title="Elementary OS">}} und {{<tabref href="https://zorinos.com" title="Zorin OS">}}

## Anfängerhilfe

Die Wahl des geeigneten Linuxpakets (Distribution genannt) ist wohl die wichtigste Entscheidung, damit man sich mit Linux langfristig wohlfühlt. Red Hat und SuSE versuchen (wie das Betriebssystem aus Redmond) dem Nutzer viele Entscheidungen abzunehmen. Andere Pakete bieten hier wesentlich mehr Einflussmöglichkeit - auch wenn am Anfang sicher eine 08/15-Installation hilft, so überlastet sie doch oft den Anfänger mit den umfangreichen Einstellmöglichkeiten und bindet den Nutzer dann an die eigene Produktphilosophie. Andere Linuxe, die dem Nutzer erstmal ein sinnvolles System zur Verfügung stellen, aber ihm später, schrittweise die Möglichkeit geben, sich immer mehr weiter einzuarbeiten, ohne ihm künstliche Begrenzungen aufzuerlegen, sollten hier das System der Wahl sein. Das diese meist kostenlos aus dem Internet heruntergeladen werden können und LUG Mitglieder diese Paket-CDs gern (und bei Linux legal!) für Euch kopieren, ist ein Grund zu unseren Treffen zu kommen ... Gute Versionen für Anfänger sind unserer Meinung nach: Linux Mint, Mandriva, Elementary OS oder Zorin OS.

-----

## Weiterer Ausblick (beyond Linux): FreeBSD / NetBSD / OpenBSD

Auch bei der LUG Frankfurt benutzen Einige BSD (und wenn es als Mac OS daher kommt), so dass auch hier ein lockerer Austausch stattfinden kann.

{{<tabref href="http://www.freebsd.org" title="FreeBSD">}}, {{<tabref href="http://www.netbsd.org" title="NetBSD">}} und {{<tabref href="http://www.openbsd.org" title="OpenBSD">}}
