#define _GNU_SOURCE

#include <stdio.h>
#include <assert.h>

#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#define LINE_LENGTH 80

char *next_word (char **string) {

    while (! isalpha (**string)) {
        if (**string == '\0')
            return NULL;
        ++*string;
    }
    char *start = *string;
    while (isalpha (**string))
        ++*string;

    size_t n = *string - start;
    char *word = malloc (n +1);
    assert (word != NULL);

    strncpy (word, start, n);
    word[n] = '\0';

    return word;
}

int main (int argc, char *argv[]) {
    
    size_t n = LINE_LENGTH;
    char *line = malloc (n);

    int n_line = 0;
    char *word;

    while ((getline (&line, &n, stdin)) != -1) {
        char *start = line;
        while ((word = next_word (&start))) {
            printf ("%d: %s\n", n_line, word);
            free (word);
        }
        ++n_line;
    }
    
    return 0;
}
