#include <glib.h>
#include <locale.h>

gchar *next_word (gchar **string) {
    gunichar c = g_utf8_get_char (*string);
    
    while (! g_unichar_isalpha (c)) {
        if (c == '\0')
            return NULL;
        *string = g_utf8_next_char (*string);
        c = g_utf8_get_char (*string);
    }
    gchar *start = *string;
    while (g_unichar_isalpha (c)) {
        *string = g_utf8_next_char (*string);
        c = g_utf8_get_char (*string);
    }

    gsize n = *string - start;
    gchar *word = g_strndup (start, n);

    return word;
}

int main (int argc, char *argv[]) {

    GIOChannel *in = g_io_channel_unix_new (0);
    
    gsize n;
    gchar *line;

    int n_line = 0;
    char *word;

    setlocale (LC_ALL, "");

    while (g_io_channel_read_line (in, &line, &n, NULL, NULL) == G_IO_STATUS_NORMAL) {
        gchar *start = line;
        while ((word = next_word (&start))) {
            g_print ("%d: %s\n", n_line, word);
            g_free (word);
        }
        ++n_line;
    }
    
    return 0;
}
