#include <glib.h>
#include <locale.h>

void insert (GHashTable *table, gchar *word, gint line) {
    gint *value = g_hash_table_lookup (table, word);
    if (value == NULL) {
        value = g_new (int, 1);
        *value = 1;
        g_hash_table_insert (table, word, value);
    }
    else {
        *value = *value + 1;
        g_free (word);
    }
}

void print_word (gchar *word, gint *n, gpointer data) {
    g_print ("%s : %d\n", word, *n);
}

gchar *next_word (gchar **string) {
    gunichar c = g_utf8_get_char (*string);
    
    while (! g_unichar_isalpha (c)) {
        if (c == '\0')
            return NULL;
        *string = g_utf8_next_char (*string);
        c = g_utf8_get_char (*string);
    }
    gchar *start = *string;
    while (g_unichar_isalpha (c)) {
        *string = g_utf8_next_char (*string);
        c = g_utf8_get_char (*string);
    }

    gsize n = *string - start;
    gchar *word = g_strndup (start, n);

    return word;
}

int main (int argc, char *argv[]) {

    GIOChannel *in = g_io_channel_unix_new (0);
    
    gsize n;
    gchar *line;

    int n_line = 0;
    char *word;

    setlocale (LC_ALL, "");

    GHashTable *index = g_hash_table_new  (g_str_hash, g_str_equal);

    while (g_io_channel_read_line (in, &line, &n, NULL, NULL) == G_IO_STATUS_NORMAL) {
        gchar *start = line;
        while ((word = next_word (&start))) {
            insert (index, word, n_line);
        }
        ++n_line;
    }

    g_hash_table_foreach (index, (GHFunc) print_word, NULL);
    
    return 0;
}







