package org.codeproject.dao;

import java.util.HashMap;
import java.util.Map;

import org.codeproject.domain.Comment;
import org.codeproject.domain.Post;

public class DaoRegistry {

	private static DaoRegistry daoRegistry = new DaoRegistry();
	
	public static DaoRegistry instance() {
		if (daoRegistry == null) {
			daoRegistry = new DaoRegistry();
		}
		return daoRegistry;
	}
	
	@SuppressWarnings("rawtypes")
	private Map<Class, DaoBase> registeredDaos = new HashMap<Class, DaoBase>();
	
	private DaoRegistry() {
		registeredDaos.put(Post.class, new PostDao());
		registeredDaos.put(Comment.class, new CommentDao());
	}
	
	@SuppressWarnings("rawtypes")
	public DaoBase getDao(Class clazz) {
		return registeredDaos.get(clazz);
	}
	
}
