package org.codeproject.dao;

import java.sql.Connection;


import com.mchange.v2.c3p0.ComboPooledDataSource;

public class DatabaseConnectionMgr {

	private static final String JDBC_DRIVER = "org.hsqldb.jdbc.JDBCDriver";
	
	//run "runserver.sh" to start localhost/test HSQLDB
	private static final String JDBC_URL = "jdbc:hsqldb:hsql://localhost/test";
	
	private static ComboPooledDataSource pooled;
	
	private static void checkDriver() throws Exception {
		try {
			Class.forName(JDBC_DRIVER);
		} catch (Exception e) {
			throw new DaoException("Failed to load HSQLDB JDBC driver", e);
		}
	}
	
	private static synchronized void initConnectionPool() throws Exception {
		checkDriver();
		
		pooled = new ComboPooledDataSource(); 
		pooled.setDriverClass(JDBC_DRIVER); 
		pooled.setJdbcUrl(JDBC_URL);
	}
	
	public static Connection getConnection() throws Exception {
		/*
		 * without c3p0:
		 */
		//return DriverManager.getConnection(JDBC_URL, "SA", "");
		
		if (pooled == null) {
			initConnectionPool();
		}
		
		/*
		out.println("num_connections: " + pooled.getNumConnectionsDefaultUser()); 
		out.println("num_busy_connections: " + pooled.getNumBusyConnectionsDefaultUser()); 
		out.println("num_idle_connections: " + pooled.getNumIdleConnectionsDefaultUser()); 
		*/
		
		return pooled.getConnection();
	}
	
}