package org.codeproject.dao;

import java.sql.Connection;
import java.sql.ResultSet;

import org.codeproject.domain.Comment;
import org.codeproject.domain.Post;

class PostMapper extends DataMapper<Post> {

	private static CommentDao commentDao = (CommentDao) DaoRegistry.instance().getDao(Comment.class);
	
	@Override
	protected void mapRowParts(Post element, ResultSet resultSet, Connection connection) throws Exception {
		element.setTitle(resultSet.getString("title"));
		element.setContent(resultSet.getString("content"));
		
		element.getComments().addAll(commentDao.getByPost(element, connection));
	}
	
}
