#!/usr/bin/python
#
# tree entry structure:
#   0       1           2           3
#   Index   Parent      [State]     Depth
#

def pour(fr, to, capacities, state):
    if capacities[fr] == 0:                   
        state[to] = capacities[to]                      # Getting water from infinite source fills target completely
    elif capacities[to] == 0:                   
        state[fr] = 0                                   # Pouring water into infinite source empties target completely
    elif state[fr] + state[to] > capacities[to]:
        state[fr] = state[fr] - (capacities[to] - state[to])
        state[to] = capacities[to]                      # Filling target jug completely
    else:
        state[to] = state[to] + state[fr]
        state[fr] = 0                                   # Fill all water from source to target
    return state    

def make_tree(capacities, start_values):
    graph_current = 0
    number_jugs = len(capacities)  
    vertices = [[0, -1, start_values, 0]]               # First vertex has no parent
    while True:
        for pair in [(fr, to) for fr in range(number_jugs) for to in range(number_jugs) if fr!=to]:
            if vertices[graph_current][2][pair[0]] == 0 and capacities[pair[0]] > 0:
                continue
            value_new = pour(pair[0],pair[1],capacities,vertices[graph_current][2][:])
     
            for check_vertex in vertices:
                if value_new == check_vertex[2]:
                    break
            else:
                vertices += [[len(vertices), graph_current, value_new, vertices[graph_current][3]+1]]
        graph_current += 1
        if graph_current >= len(vertices):
            break
    return vertices

graph = make_tree([8,5,3],[8,0,0])
for vertex in graph:
    print "Vertex",vertex[0],"Parent",vertex[1],"State",vertex[2],"Depth",vertex[3]


