#include <stdio.h>
#include <stdlib.h>
#include <errno.h>

#include <dlfcn.h>


int main(int argc, char *argv[])
{
  void *handle = dlopen ("libm.so", RTLD_LAZY);

  if (handle == NULL)
    {
      fprintf (stderr, "dlopen: %s\n", dlerror ());
      exit (EXIT_FAILURE);
    }

  dlerror ();

  double (*f) (double) = dlsym (handle, "sin");

  char *err;
  if ((err = dlerror ()) != NULL)
    {
      fprintf (stderr, "dlsym: %s\n", err);
      exit (EXIT_FAILURE);
    }

  printf ("sin (3.0) = %f\n", (*f) (3.0));

  return 0;
}
