#include <stdio.h>
#include <stdlib.h>


/* 
 * List:    next
 * -----      |
 *            v
 *        +---------+      +---------+      +---------+      
 *        |  next   |--->  |  next   |--->  |  next   |---> NULL
 *        +---------+      +---------+      +---------+
 */


#define print(L) { printf ("[ ");                             \
                   ListItem *i;                               \
                   for (i=L.next; i != NULL; i = i->next)     \
                     printf ("%s ", (char*) i->data);         \
                   printf ("]\n");                            \
                 }                                            \


typedef struct _list_item {
  struct _list_item *next;
  void *data;
} ListItem;


typedef struct {
  ListItem *next;
} List;


ListItem *insert (List *list, void* data, int index)
{
  ListItem *i = (ListItem*) list;
  ListItem *item = NULL;

  while (index-- > 0)
    {
      if (i->next == NULL)
        return NULL;
      i = i->next;
    }

  item = malloc (sizeof (ListItem));
  item->data = data;

  item->next = i->next;
  i->next = item;

  return item;
}


ListItem *delete (List *list, int index)
{
  ListItem *i = (ListItem*) list;
  ListItem *item = NULL;

  while (index-- > 0)
    {
      if (i->next == NULL)
        return NULL;
      i = i->next;
    }

  item = i->next;
  i->next = item->next;
  
  return item;
}


int main(int argc, char *argv[])
{
  List L = { NULL };
  ListItem *i = NULL;

  /* L -> "eins" */
  insert (&L, "eins", 0);
  print (L);
  
  /* L -> "eins" -> "drei" */
  insert (&L, "drei", 1);
  print (L);
  
  /* L -> "eins" -> "zwei" -> "drei" */  
  insert (&L, "zwei", 1);
  print (L);

  /* L-> "null" -> "eins" -> "zwei" -> "drei" */
  insert (&L, "null", 0);
  print (L);

  /* L-> "null" -> "eins" -> "drei" */
  i = delete (&L, 2);
  free (i);
  print (L);

  return 0;
}
