#include <stdio.h>
#include <stdlib.h>


/* List
 * ----     
 *      +-----------------------------------------------------+
 *      |                                                     |
 *      |    +---------+      +---------+      +---------+    |
 *      +----|  next   |  <---|  next   |  <---|  next   | <--+
 *           +---------+      +---------+      +---------+
 *      +--> |  prev   |--->  |  prev   |--->  |  prev   |----+
 *      |    +---------+      +---------+      +---------+    |
 *      |                                                     |
 *      ------------------------------------------------------+
 */


typedef struct _list_item {
  struct _list_item *next;
  struct _list_item *prev;

  void *data;
} List;


List *new_list (void)
{
  List *list = malloc (sizeof (List));

  list->next = list;
  list->prev = list;

  return list;
}


List *insert_before (List *anchor, void *data)
{
  List *item = malloc (sizeof (List));
  item->data = data;

  item->next = anchor;
  item->prev = anchor->prev;

  anchor->prev->next = item;
  anchor->prev = item;

  return item;
}


List *insert_after (List *anchor, void *data)
{
  List *item = malloc (sizeof (List));
  item->data = data;

  item->next = anchor->next;
  item->prev = anchor;

  anchor->next->prev = item;
  anchor->next = item;

  return item;
}


List *n_th (List *list, int index)
{
  List *item = list->next;

  while (index-- > 0)
    {
      if (item == list)
        return NULL;
      item = item->next;
    }

  return item;
}


void delete (List *item)
{
  item->prev->next = item->next;
  item->next->prev = item->prev;
}


int main(int argc, char *argv[])
{
  List *L = new_list ();


  List *i;
  insert_before (L, "eins");
  i = insert_before (L, "drei");

  insert_before (i, "zwei");
  insert_after (i, "vier");

  for (i=L->next; i!=L; i=i->next)
    printf ("%s\n", i->data);

  
  return 0;
}
