#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <QApplication>
#include <QMainWindow>
#include <QLineEdit>
#include <QPushButton>
#include <QLayout>
#include <QLabel>

#include "sleeper.h"

int main (int argc, char *argv[])
{
#ifdef Q_WS_X11
  bool useGUI = (getenv("DISPLAY") != 0) && (strlen(getenv("DISPLAY")) > 0);
#else
  bool useGUI = true;
#endif
  QApplication app(argc, argv, useGUI);

  if (useGUI) {
    // start GUI version
    QMainWindow w;
    w.setWindowTitle("lazy sleeper");

    // create central widget
    QWidget *cw = new QWidget;
    w.setCentralWidget(cw);

    // create widgets
    QLineEdit *edit = new QLineEdit(&w);
    QPushButton *button = new QPushButton("sleep", cw);

    // setup the layout
    QVBoxLayout *layout = new QVBoxLayout;
    layout->addWidget(edit);
    layout->addWidget(button);

    // attach layout to widget
    cw->setLayout(layout);

    // create a sleeper object
    Sleeper *sleeper = new Sleeper(cw);

    // connect button clicked signal to sleeper sleep slot
    QObject::connect(button, SIGNAL(clicked()), sleeper, SLOT(slotSleep()));

    // show the main window
    w.show(); 

    // and run the application
    return app.exec();

  } else {
    // start non GUI version
    fprintf(stderr, "We need a GUI environment\n");
    return 1;
  }
}
