#include "icu-util.h"

UChar *utf2uchar (gchar *src) {
  UErrorCode status;
  UChar *dest;
  int32_t size;

  u_strFromUTF8 (NULL, 0, &size, src, -1, &status);
  dest = g_new (UChar, size);

  u_strFromUTF8 (dest, size, &size, src, -1, &status);

  return dest;
}

int icu_strcmp (UCollator *collator, gchar* s, gchar* t) {
  UCollationResult result;

  UChar *source = utf2uchar (s);
  UChar *target = utf2uchar (t);
  
  result = ucol_strcoll (collator, source, -1, target, -1);

  g_free (source);
  g_free (target);

  switch (result) {
    case UCOL_LESS:
      return -1;
    case UCOL_GREATER:
      return 1;
    default:
      return 0;
  }
}


/* UErrorCode status = U_ZERO_ERROR; */
/* UCollator *collator; */
/* UChar rules[100]; */
/* const gchar *opt_locale; */
/* opt_locale = ""; */
  
/* collator = ucol_openRules (rules, -1, UCOL_OFF, UCOL_TERTIARY, NULL, &status); */
/* collator = ucol_open (opt_locale, &status); */

/* ucol_setAttribute (collator, UCOL_NORMALIZATION_MODE, UCOL_ON, &status); */
  
/* if (U_FAILURE (status)) */
/*   ; */

/* ucol_close (collator); */



