/*
 *  A          
 *  +- B       
 *  |  +- D    
 *  +- C       
 *              
 * { "id" : "A", 
 *   "children" : [
 *     { "id" : "B",
 *       "children" : [ { "id" : "D" }]},
 *     { "id" : "C" }
 *   ]
 * }
 */

#include "json-tree-direct-storage.h"



JsonNode *json_tree_get_root (JsonNode *node) {
  JsonNode *n;
  while ((n = json_node_get_parent (node)) != NULL)
    node = n;
  return node;
}

static void foreach_element (JsonArray *a, guint index, JsonNode *n, GList ** list) {
  *list = g_list_append (*list, n);
}

GList *json_tree_get_children (JsonNode *node) {
  JsonNode *n;
  JsonArray *a;
  GList *children;

  children = NULL;

  n = json_object_get_member (json_node_get_object (node), CHILDREN_MARKER);
  if (n != NULL) {
    a = json_node_get_array (json_object_get_member (json_node_get_object (node), CHILDREN_MARKER));
    json_array_foreach_element (a, (JsonArrayForeach) foreach_element, &children);
  }

  return children;
}

JsonNode *json_tree_get_parent (JsonNode *node) {
  return json_node_get_parent (json_node_get_parent (node));
}  
