/* shoestring

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <glib.h>
#include <json-glib/json-glib.h>
#include "icu-util.h"
#include "json-util.h"


#define CONF_FILE_DIR "shoestring"
#define CONF_FILE_NAME "config.json"


gchar *user_config_file = NULL;

int main (int argc, char *argv[]) {
  JsonNode *config;
  gchar *config_file;
  const gchar * const *dirs;

  g_type_init ();


  user_config_file = g_build_filename (g_get_user_config_dir (), CONF_FILE_DIR, CONF_FILE_NAME, NULL);
  config_file = NULL;
  
  dirs = g_get_system_config_dirs ();
  while (*dirs != NULL) { 
    gchar *filename;
    filename = g_build_filename (*dirs++, CONF_FILE_DIR, CONF_FILE_NAME, NULL);
    if (g_file_test (filename, G_FILE_TEST_IS_REGULAR))
      config_file = g_strdup (filename);
    g_free (filename);
  }

  if (config_file == NULL)
    config_file = user_config_file;

  if (g_file_test (config_file, G_FILE_TEST_IS_REGULAR)) {
    config = json_read (config_file);
  }
  else
    config = string2json ("{}");

  json_write (config, user_config_file);
  
  return 0;
}
