#include "mongo-util.h"
#include "json-util.h"


JsonNode *shs_mongo_cmd (mongo *conn, const gchar *ns, JsonNode *node) {
  JsonNode *o;
  bson *cmd;
  bson out[1];

  cmd = json2bson (node);
  bson_init (out);
  
  o = NULL;
  
  if (mongo_run_command (conn, ns, cmd, out) == MONGO_OK)
    o = bson2json (out);

  bson_destroy (out);
  bson_destroy (cmd);
  g_free (cmd);

  return o;
}


int shs_mongo_insert (mongo *conn, const gchar *ns, JsonNode *node) {
  return MONGO_OK;
}


GList *shs_mongo_lookup (mongo *conn, const gchar *ns, JsonNode *node) {
  bson *b;
  mongo_cursor cursor[1];
  JsonNode *n;
  GList *result;

  b = json2bson (node);

  mongo_cursor_init (cursor, conn, ns);
  mongo_cursor_set_query (cursor, b);
  
  result = NULL;
  while (mongo_cursor_next (cursor) == MONGO_OK) {
    n = bson2json (&cursor->current);
    result = g_list_append (result, n);
  }

  mongo_cursor_destroy (cursor);

  bson_destroy (b);
  g_free (b);

  return result;
}


