#ifndef _SHS_NODE_H_
#define _SHS_NODE_H_

#include <glib.h>

typedef struct _ShsNode ShsNode;

struct _ShsNode {
  ShsNode *next;
  ShsNode *prev;
  ShsNode *parent;
  ShsNode *children;

  gpointer data;
};

typedef void (*ShsNodeTraverseFunc) (ShsNode *node, gpointer data);

ShsNode *node_new (gpointer data);

ShsNode *node_parent (ShsNode *node);
ShsNode *node_first_child (ShsNode *node);
ShsNode *node_last_child (ShsNode *node);
ShsNode *node_next_sibling (ShsNode *node);
ShsNode *node_prev_sibling (ShsNode *node);
ShsNode *node_first_sibling (ShsNode *node);
ShsNode *node_last_sibling (ShsNode *node);
ShsNode *node_next (ShsNode *node);
ShsNode *node_prev (ShsNode *node);

void node_traverse_pre_order (ShsNode *root, ShsNodeTraverseFunc func, gpointer data);

guint node_depth (ShsNode *node);
void node_append (ShsNode *root, ShsNode *node);


#endif /* _SHS_NODE_H_ */
