/*
 * ShsDocument
 */

#include "shs-document.h"

#define SHS_DOCUMENT_GET_PRIVATE(obj) \
  (G_TYPE_INSTANCE_GET_PRIVATE ((obj), SHS_TYPE_DOCUMENT, ShsDocumentPrivate))

struct _ShsDocumentPrivate {
  
  ShsNode* root;
};

G_DEFINE_TYPE (ShsDocument, shs_document, G_TYPE_OBJECT)

enum {
  PROP_0,
  PROP_ROOT,
  N_PROPERTIES
};


void shs_document_set_root (ShsDocument *self, ShsNode* value) {
  g_return_if_fail (SHS_IS_DOCUMENT(self));

  if (self->priv->root != value ) {
    self->priv->root = value;
    g_object_notify (G_OBJECT (self), "root");
  }
}


static void shs_document_set_property (GObject *gobject, guint prop_id,
                                        const GValue *value, GParamSpec *pspec) {
  ShsDocument  *self;
  self = SHS_DOCUMENT (gobject);
  
  switch (prop_id) {
    case PROP_ROOT:
      shs_document_set_root (self, g_value_get_pointer (value));
      break;
    default:
      G_OBJECT_WARN_INVALID_PROPERTY_ID (gobject, prop_id, pspec);
      break;
  }
}


ShsNode* shs_document_get_root (ShsDocument *self) {
  g_return_val_if_fail (SHS_IS_DOCUMENT(self), NULL);
  return self->priv->root;
}


static void shs_document_get_property (GObject *gobject, guint prop_id, GValue *value, GParamSpec *pspec) {
  ShsDocument  *self;
  self = SHS_DOCUMENT (gobject);
  
  switch (prop_id) {
    case PROP_ROOT:
      g_value_set_pointer (value, shs_document_get_root (self));
      break;
    default:
      G_OBJECT_WARN_INVALID_PROPERTY_ID (gobject, prop_id, pspec);
      break;
  }
}


static void shs_document_dispose (GObject *gobject) {
  ShsDocument *self;
  self = SHS_DOCUMENT (gobject);
  
  /* unref all references _once_!
     (might be called multiple times)
     
     if (self->priv->object) {
     g_object_unref (self->priv->object);
     self->priv->object = NULL;
     }
  */
  
  /* Chain up to the parent class */
  G_OBJECT_CLASS (shs_document_parent_class)->dispose (gobject);
}


static void shs_document_finalize (GObject *gobject) {
  ShsDocument *self;
  self = SHS_DOCUMENT (gobject);
  
  /* Chain up to the parent class */
  G_OBJECT_CLASS (shs_document_parent_class)->finalize (gobject);
}


static void shs_document_class_init (ShsDocumentClass *klass) {
  GObjectClass *gobject_class;
  gobject_class = G_OBJECT_CLASS (klass);
  
  /* install methods */
  klass->do_action = shs_document_do_action;
  
  gobject_class->dispose = shs_document_dispose;
  gobject_class->finalize = shs_document_finalize;
  
  gobject_class->set_property = shs_document_set_property;
  gobject_class->get_property = shs_document_get_property;
  
  /* install properties */
  
  g_object_class_install_property (gobject_class, PROP_ROOT,
    g_param_spec_pointer ("root", "nick", "blurb",
                          G_PARAM_READWRITE));
  g_type_class_add_private (klass, sizeof (ShsDocumentPrivate));
}


static void shs_document_init (ShsDocument *self) {
  self->priv = SHS_DOCUMENT_GET_PRIVATE (self);
  
  /* initialize all public and private members to reasonable default values. */
  self->priv->root = NULL;
}


/* VIRTUAL METHODS */

void shs_document_do_action (ShsDocument *self) {
}
