/*
 * ShsDocument
 */

#ifndef __SHS_DOCUMENT_H__
#define __SHS_DOCUMENT_H__

#include <glib-object.h>
#include "shs-node.h"

#define SHS_TYPE_DOCUMENT (shs_document_get_type ())
#define SHS_DOCUMENT(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), SHS_TYPE_DOCUMENT, ShsDocument))
#define SHS_IS_DOCUMENT(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), SHS_TYPE_DOCUMENT))
#define SHS_DOCUMENT_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), SHS_TYPE_DOCUMENT, ShsDocumentClass))
#define SHS_IS_DOCUMENT_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE((klass), SHS_TYPE_DOCUMENT))
#define SHS_DOCUMENT_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), SHS_TYPE_DOCUMENT, ShsDocumentClass))


typedef struct _ShsDocument       ShsDocument;
typedef struct _ShsDocumentClass  ShsDocumentClass;

typedef struct _ShsDocumentPrivate ShsDocumentPrivate;


struct _ShsDocument {
  GObject parent_instance;
  
  
  /*< private >*/
  ShsDocumentPrivate *priv;
  
};

struct _ShsDocumentClass {
  GObjectClass parent_class;
  
  /* stuff */
  void (*do_action) (ShsDocument *self);
};

void shs_document_do_action (ShsDocument *self);


GType shs_document_get_type (void);

void shs_document_set_root (ShsDocument *self, ShsNode* value);
ShsNode* shs_document_get_root (ShsDocument *self);




#endif /* __SHS_DOCUMENT_H__ */
