#include <stdio.h>
#include <sys/types.h>
#include <regex.h>
#include <stdlib.h>


void print_match (char *string, regmatch_t match)
{
  printf (" \"%.*s\"", match.rm_eo - match.rm_so,
          string + match.rm_so);
}


int main(int argc, char *argv[])
{
  int line = 0;

  char *string = NULL;
  int length = 0;

  int n;
  regex_t regex;
  regmatch_t *match;

  if (argc != 2)
    exit (EXIT_FAILURE);

  regcomp (&regex, argv[1], REG_EXTENDED);
  n = regex.re_nsub + 1;

  match = malloc (n * sizeof (regmatch_t));
  
  while (getline (&string, &length, stdin) != -1)
    {
      char *pos = string;
      while (!regexec (&regex, pos, n, match, 0))
        {
          int i;
          printf ("Treffer in Zeile %d:", line);
          for (i=0; i < n; ++i)
            print_match (pos, match[i]);
          printf ("\n");
          pos += match[0].rm_eo;
        }
      free (string); string = NULL; length = 0;

      ++line;
    }
  
  free (match);
  regfree (&regex);
  return 0;
}
