#include <gtk/gtk.h>


gchar* filename = NULL;
GtkTextBuffer *buffer;
GtkTextView *view;

void on_save_clicked (GtkWidget* chooser, gpointer data)
{
  gchar* text;

  g_object_get (buffer, "text", &text, NULL);
  g_file_set_contents (filename, text, -1, NULL);
}

void on_open_button_file_set (GtkWidget* chooser, gpointer data)
{
  gchar* text;

  g_free (filename);
  filename = gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (chooser));

  g_file_get_contents (filename, &text, NULL, NULL);
  g_object_set (buffer, "text", text, NULL);
  g_free (text);
}

void on_lock_toggled (GtkWidget* widget, gpointer data)
{
  gboolean state;
  g_object_get (widget, "active", &state, NULL);
  g_object_set (view, "editable", !state, NULL);
}

int main (int argc, char *argv[])
{
  gtk_init (&argc, &argv);
  
  GtkBuilder *builder = g_object_new (GTK_TYPE_BUILDER, NULL);

  gtk_builder_add_from_file (builder, "ui.xml", NULL);
  gtk_builder_connect_signals (builder, NULL);
  
  GtkWidget *window = GTK_WIDGET (gtk_builder_get_object (builder, "window"));
  buffer = GTK_TEXT_BUFFER (gtk_builder_get_object (builder, "buffer"));
  view = GTK_TEXT_VIEW (gtk_builder_get_object (builder, "textview"));

  g_object_unref (G_OBJECT(builder));
  
  gtk_widget_show_all (window);

  gtk_main ();
  return 0;
}
