# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.


s_table = [ 0, 7, 0,   5, 9, 2,   4, 8, 0,
            0, 2, 0,   0, 0, 0,   0, 7, 5,
            8, 5, 0,   6, 0, 7,   0, 0, 0,

            2, 0, 5,   0, 0, 0,   3, 0, 0,
            6, 0, 0,   0, 0, 0,   0, 0, 7,
            7, 0, 3,   0, 0, 0,   8, 0, 2,

            0, 0, 0,   3, 0, 5,   0, 0, 8,
            4, 0, 0,   0, 0, 0,   0, 0, 0,
            5, 0, 2,   1, 6, 0,   7, 9, 0
            ]

solutions = 0

def next_cell (table, index):
    while (index < 81):
        if (table[index] == 0):
            return index
        index += 1
    return -1


def sudoku_check (table, index):
    row = index // 9;
    column = index % 9
    box_row = (row // 3) * 3
    box_column = (column // 3) * 3

    allowed = [1] * 10;

    for i in range (0, 9):
        # check row
        value = table[(9 * row) + i]
        allowed[value] = 0
        # check column  
        value = table[(9 * i) + column];
        allowed[value] = 0;
        # check box
        value = table[(9 * (box_row + (i / 3))) + box_column + (i % 3)]
        allowed[value] = 0
    return allowed


def sudoku_solve (old_table, index):
    global solutions
    index = next_cell (old_table, index)
    if (index == -1):
        solutions += 1
        return

    table = old_table[:]

    allowed = sudoku_check (table, index)
  
    for i in range (1, 10):
        if (allowed[i] == 1):
            table[index] = i
            sudoku_solve (table, index)


sudoku_solve (s_table, 0)
print ("%d solutions" % solutions)
